start=input.time(1);
stop=input.time(end);
clear P_vec
    P_vec(1,:)=P.signals.values(1,1,:);
    P_vec(2,:)=P.signals.values(2,2,:);
    P_vec(3,:)=P.signals.values(3,3,:);
%     
clear dotP_vec    
    dotP_vec(1,:)=dot_P.signals.values(1,1,:);
    dotP_vec(2,:)=dot_P.signals.values(2,2,:);
    dotP_vec(3,:)=dot_P.signals.values(3,3,:);
close all
figure
subplot(3,1,1)
grid on
hold on
plot(input.time,input.signals.values)
plot(y_hat.time,y_hat.signals.values,'r')
plot(y_hat_RLS.time,y_hat_RLS.signals.values,'k')
h = legend('z','$\hat{y}_1$','$\hat{y}_2$');
set(h,'Interpreter','latex');
ylabel('Heave $[m]$','Interpreter','latex');
xlim(xlim_vec)
subplot(3,1,2)
grid on
hold on
plot(y_hat.time,input.signals.values-(y_hat.signals.values),'r')%-mean(theta_new.signals.values(:,3))
plot(y_hat.time,input.signals.values-(y_hat_RLS.signals.values),'k')
h = legend('z-$\hat{y}_1$','z-$\hat{y}_2$');
set(h,'Interpreter','latex');
ylabel('Deviation $[m]$','Interpreter','latex');
xlim(xlim_vec)
subplot(3,1,3)
grid on
hold on
plot(theta_new.time,theta_new.signals.values(:,1),'b')
plot(theta_new.time,theta_new.signals.values(:,2),'r')
plot(theta_new.time,theta_new.signals.values(:,3),'k')
plot(theta_new_2.time,theta_new_2.signals.values(:,1),'b--')
plot(theta_new_2.time,theta_new_2.signals.values(:,2),'r--')
plot(theta_new_2.time,theta_new_2.signals.values(:,3),'k--')
h= legend('$\omega$','$\lambda$','$w$','$\omega_2$','$\lambda_2$','$w_2$');
set(h,'Interpreter','latex');
xlabel('Time $[s]$','Interpreter','latex');
xlim(xlim_vec)
%%
figure
plot(y_hat_RLS.time,y_hat_RLS.signals.values-input_wb_RLS.signals.values,'k')
hold on
plot(y_hat.time,y_hat.signals.values-input_wb.signals.values,'r--')
% figure
% plot(P.time,P_vec(1,:))
% hold on
% plot(P.time,P_vec(2,:),'r')
% plot(P.time,P_vec(3,:),'g')
% figure
% plot(P.time,dotP_vec(1,:))
% hold on
% plot(P.time,dotP_vec(2,:),'r')
% plot(P.time,dotP_vec(3,:),'g')