%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1D Pendulum with moving bead %
%     by Oddvar Gjelstenli     %
%          2012-03-06          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
% Initialize simulink model
M_t=300; %kg
b1=20; % friction coefficient for bead
b2=1500; % friction coefficient for bead
b3=200; % friction coefficient for bead
max_force = 10000; % Max force for tau_1 to the bead
max_force3 = 300; % Max force for tau_1 to the bead
m=3000;
mw_factor = 3.5; %kg pr meter wire
g=9.81; 
lw_dot_max=2; %m/s wire feedout and in
lw_min=5; %upper limit for hook(m from the bead)
lw_max =100; %lower limit for the hook (m from the bead)
pos_max=70; %min max position in the 3d world x-axis
bias_pos=5; %start ramp to zero tau
theta_max=90/360*2*pi;
lw_upper=10;
lw_lower=100;