%% simulate param est and kalman filter
clear all
close all
%%
load heave.mat
simstart=heave.time(1);
simstop=heave.time(end);
Ts=heave.time(2)-heave.time(1);
beta=0.97;
rho_0=100.0;
rho_1=50.0;
R0=100.0;
P_0=eye(3)*100.0;
theta_0=[10;0.5;0.5];
threshold =[1.5 1.5 3];
R=5;
Q=diag([0 0.1 0.05]);
%sim RLS
alpha=100.0;
theta_0=[2;2;2];
set_param('RLS_resetting','AlgebraicLoopSolver','LineSearch')
sim RLS_resetting
xlim_vec=[110 140];
%xlim_vec=[input.time(1) input.time(end)];
RLS_plot
%%
set(gcf, 'PaperPositionMode', 'Auto') ;
filename =  sprintf('../../figures/RLS_compare_detail.eps');
%filename =  sprintf('../../figures/RLS_Kalman_compare.eps');
print('-painters','-depsc','-r300', filename);